<?php

$curl = curl_init();

$instance = "w7mastersoftware"; // Nome da sua instância
$numero = "5511958438308"; // Número do destinatário com código do país
$mensagem = "Mensagem teste"; // Conteúdo da mensagem

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.controlmaxerp.com.br/message/sendText/{$instance}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_POST => true,
  CURLOPT_POSTFIELDS => json_encode([
      'number' => $numero,
      'text' => $mensagem
  ]),
  CURLOPT_HTTPHEADER => [
      "Content-Type: application/json",
      "apikey: w7mastersoftware" // Substitua por sua chave de API
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
    echo "Erro cURL #: " . $err;
} else {
    echo "Resposta da API: " . $response;
}
